.common_conditions: &common_conditions
  state: opened
  ruby: |
    return false if has_group_label?

    can_infer_group_from_author?

resource_rules:
  merge_requests:
    rules:
      - name: Add group label to open merge requests based on author's group
        conditions:
          <<: *common_conditions
        actions:
          comment: |
            #{ @redact_confidentials = false; comment_for_mr_author_group_label }
